import React, { ComponentProps } from 'react';
import { modeType, sizeType } from '../../utils/componentPropsTypes';
export interface IInput {
    errorText: string;
    sucessText: string;
    helperText: string;
    value: string;
    onChange: React.ChangeEventHandler<HTMLInputElement>;
    onClick: React.MouseEventHandler<HTMLInputElement>;
    placeholder: string;
    error: boolean;
    sucess: boolean;
    size: sizeType;
    label: string;
    image: React.ReactNode;
    imageStart: React.ReactNode;
    inputRef: React.Ref<any>;
    modeProp: modeType;
}
declare const Input: React.FC<Partial<IInput & Omit<ComponentProps<'input'>, keyof IInput>>>;
export default Input;
